Skip to main content
Resource Center/Hardware/Host Operations
PUTHost OperationsSince 0.6SynchronousAuth Required

UpdateKVMHost

UpdateKVMHost

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatekvmhostObjectRequired

    updatekvmhost request body object.

    • usernameString

      Optional. The username.

    • passwordString

      Optional. The password.

    • sshPortInteger

      Optional. The SSH port.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • managementIpString

      Optional. The IP address of the management node.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryHostInventoryRequired

    See inventory.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • uuidStringRequired

      The resource UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • managementIpStringRequired

      管理IP。

    • hypervisorTypeStringRequired

      No description provided.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • totalCpuCapacityLongRequired

      总CPU容量。

    • availableCpuCapacityLongRequired

      可用CPU容量。

    • cpuSocketsIntegerRequired

      No description provided.

    • totalMemoryCapacityLongRequired

      总内存容量。

    • availableMemoryCapacityLongRequired

      可用内存容量。

    • cpuNumIntegerRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/hosts/kvm/{uuid}/actions

/zstack/v1/hosts/kvm/{uuid}/actions

Operation ID

UpdateKVMHost

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hosts/kvm/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatekvmhost":{"username":"<username>","password":"<password>","sshPort":1,"name":"<name>","description":"<description>","managementIp":"<managementIp>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "zoneUuid": "d31e6ae8ef1e4d63be02c3be94093e90", "name": "example", "uuid": "3bfeb74997084a7fa53b7afaf709b6d1", "clusterUuid": "cec3beee49bb4697905c556e462b3dbe", "description": "example", "managementIp": "192.168.0.1", "hypervisorType": "KVM", "state": "Enabled", "status": "Connected", "totalCpuCapacity": 4.0, "availableCpuCapacity": 2.0, "totalMemoryCapacity": 4.0, "availableMemoryCapacity": 4.0 } }

Change History

This API has no change history records yet.

View all change history